Package ru.bitel.bgbilling.modules.megogo.common.bean

# Class MegogoTryAndBuy

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megogo.common.bean.MegogoTryAndBuy

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegogoTryAndBuy extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PARAMS_COUNT_DAY`
  Кастомный тип, на будущее
  `static final int`
  `TYPE_CUSTOM`
  Кастомный тип, на будущее
  `static final int`
  `TYPE_FIRST_SERVICE`
  Первый заказ данной конкретной услуги
  `static final int`
  `TYPE_ONLY_FOR_NEW`
  Первая при подключении модуля

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoTryAndBuy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HashMap<String,String>`
  `getParams()`
  `int`
  `getSid()`
  `int`
  `getType()`
  `String`
  `getTypeTitle()`
  `boolean`
  `isUsed()`
  `void`
  `setParams(HashMap<String,String> params)`
  `void`
  `setSid(int sid)`
  `void`
  `setType(int type)`
  `void`
  `setUsed(boolean used)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### TYPE_ONLY_FOR_NEW

    public static final int TYPE_ONLY_FOR_NEW
    Первая при подключении модуля
    See Also:
      - Constant Field Values

  - ### TYPE_FIRST_SERVICE

    public static final int TYPE_FIRST_SERVICE
    Первый заказ данной конкретной услуги
    See Also:
      - Constant Field Values

  - ### TYPE_CUSTOM

    public static final int TYPE_CUSTOM
    Кастомный тип, на будущее
    See Also:
      - Constant Field Values

  - ### PARAMS_COUNT_DAY

    public static final String PARAMS_COUNT_DAY
    Кастомный тип, на будущее
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MegogoTryAndBuy

    public MegogoTryAndBuy()

- ## Method Details

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid(int sid)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### isUsed

    public boolean isUsed()

  - ### setUsed

    public void setUsed(boolean used)

  - ### getParams

    public HashMap<String,String> getParams()

  - ### setParams

    public void setParams(HashMap<String,String> params)

  - ### getTypeTitle

    public String getTypeTitle()